import { jsx } from "react/jsx-runtime";
import { TokenMCHC as TokenMCHC$1 } from "@web3icons/react";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const TokenMCHC = forwardRef(
  ({ variant = "mono", ...props }, forwardedRef) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref: forwardedRef, alt: "MCHC", "data-name": "TokenMCHC", ...props, children: /* @__PURE__ */ jsx(TokenMCHC$1, { variant }) });
  }
);
TokenMCHC.displayName = "TokenMCHC";
Object.assign(TokenMCHC, { isGdsIcon: true });
export {
  TokenMCHC
};
